/**
 * Represents an error when trying to interpret syntactically invalid code.
 * @syntax new SyntaxError([message[, fileName[, lineNumber]]])
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard
 * @param {Number} lineNumber Non-standard
 * @returns {Error} 
 */
function SyntaxError() {
}
/**
 * @returns {String} 
 * @static
 */
SyntaxError.name = new String();

/**
 * @returns {Function} 
 * @static
 */
SyntaxError.constructor = new Function();

/**
 * Represents the prototype for the SyntaxError constructor.
 * @returns {Object} 
 * @static
 */
SyntaxError.prototype;

