/**
 * Represents an error when a value is not of the expected type.
 * @syntax new TypeError([message[, fileName[, lineNumber]]])
 * @param {String} message Human-readable description of the error
 * @param {String} fileName Non-standard
 * @param {Number} lineNumber Non-standard
 * @returns {Error} 
 */
function TypeError() {
}
/**
 * @returns {String} 
 * @static
 */
TypeError.name = new String();

/**
 * @returns {Function} 
 * @static
 */
TypeError.constructor = new Function();

/**
 * Represents the prototype for the TypeError constructor.
 * @returns {Object} 
 * @static
 */
TypeError.prototype;

